<?xml version="1.0" encoding="utf-8"?>
<Project xmlns="http://schemas.microsoft.com/developer/msbuild/2003">

  <PropertyGroup Label="Framework Defaults">
    <!-- Environment. -->
    <IsTestProject Condition="$(MSBuildProjectName.EndsWith(`.Tests`))">true</IsTestProject>
    <!-- Defaults. -->
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
  </PropertyGroup>

  <PropertyGroup Label="Product">
    <Product>xplo.re .NET</Product>
    <Company>xplo.re IT Services</Company>
    <Copyright>© xplo.re IT Services, Michael Maier. All rights reserved.</Copyright>
    <PackageLicenseExpression>Apache-2.0</PackageLicenseExpression>
    <PackageRequireLicenseAcceptance>true</PackageRequireLicenseAcceptance>
  </PropertyGroup>

  <PropertyGroup Label="Build Configuration"
                 Condition=" '$(IsTestProject)' != 'true' ">
    <SymbolPackageFormat>snupkg</SymbolPackageFormat>
    <GenerateDocumentationFile>true</GenerateDocumentationFile>
  </PropertyGroup>

  <PropertyGroup Label="Build Configuration"
                 Condition=" '$(IsTestProject)' == 'true' ">
    <!-- Disable out of support warnings for EOL frameworks that are used for testing older target frameworks. -->
    <CheckEolTargetFramework>false</CheckEolTargetFramework>
    <IsPackable>false</IsPackable>
  </PropertyGroup>

  <PropertyGroup Label="Package"
                 Condition=" '$(IsTestProject)' != 'true' ">
    <PackageIcon>PackageIcon.png</PackageIcon>
    <!-- Deprecated URL is kept only for legacy clients and will be removed in the future. -->
    <PackageIconUrl>https://cdn.xplo-re.net/product/dotnet/nuget-package.png</PackageIconUrl>
  </PropertyGroup>

  <ItemGroup Label="Package"
             Condition=" '$(IsTestProject)' != 'true' ">
    <!-- Bundle LICENSE if one is present. -->
    <None Include="LICENSE.txt" Pack="true" Visible="true" PackagePath="\" Condition="Exists('LICENSE.txt')" />
    <!-- Package icon. -->
    <None Include="PackageIcon.png" Pack="true" Visible="true" PackagePath="\" />
  </ItemGroup>

</Project>
